javax.faces.component.html

## Enum HtmlSelectOneListbox.PropertyKeys

- java.lang.Object
- - java.lang.Enum<HtmlSelectOneListbox.PropertyKeys>
  - - javax.faces.component.html.HtmlSelectOneListbox.PropertyKeys

- All Implemented Interfaces:
    Serializable, Comparable<HtmlSelectOneListbox.PropertyKeys>
  Enclosing class:
    HtmlSelectOneListbox

      protected static enum HtmlSelectOneListbox.PropertyKeys
      extends Enum<HtmlSelectOneListbox.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `accesskey`
    `dir`
    `disabled`
    `disabledClass`
    `enabledClass`
    `label`
    `lang`
    `onblur`
    `onchange`
    `onclick`
    `ondblclick`
    `onfocus`
    `onkeydown`
    `onkeypress`
    `onkeyup`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `onselect`
    `readonly`
    `role`
    `size`
    `style`
    `styleClass`
    `tabindex`
    `title`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static HtmlSelectOneListbox.PropertyKeys` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HtmlSelectOneListbox.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### accesskey

          public static final HtmlSelectOneListbox.PropertyKeys accesskey

    - #### dir

          public static final HtmlSelectOneListbox.PropertyKeys dir

    - #### disabled

          public static final HtmlSelectOneListbox.PropertyKeys disabled

    - #### disabledClass

          public static final HtmlSelectOneListbox.PropertyKeys disabledClass

    - #### enabledClass

          public static final HtmlSelectOneListbox.PropertyKeys enabledClass

    - #### label

          public static final HtmlSelectOneListbox.PropertyKeys label

    - #### lang

          public static final HtmlSelectOneListbox.PropertyKeys lang

    - #### onblur

          public static final HtmlSelectOneListbox.PropertyKeys onblur

    - #### onchange

          public static final HtmlSelectOneListbox.PropertyKeys onchange

    - #### onclick

          public static final HtmlSelectOneListbox.PropertyKeys onclick

    - #### ondblclick

          public static final HtmlSelectOneListbox.PropertyKeys ondblclick

    - #### onfocus

          public static final HtmlSelectOneListbox.PropertyKeys onfocus

    - #### onkeydown

          public static final HtmlSelectOneListbox.PropertyKeys onkeydown

    - #### onkeypress

          public static final HtmlSelectOneListbox.PropertyKeys onkeypress

    - #### onkeyup

          public static final HtmlSelectOneListbox.PropertyKeys onkeyup

    - #### onmousedown

          public static final HtmlSelectOneListbox.PropertyKeys onmousedown

    - #### onmousemove

          public static final HtmlSelectOneListbox.PropertyKeys onmousemove

    - #### onmouseout

          public static final HtmlSelectOneListbox.PropertyKeys onmouseout

    - #### onmouseover

          public static final HtmlSelectOneListbox.PropertyKeys onmouseover

    - #### onmouseup

          public static final HtmlSelectOneListbox.PropertyKeys onmouseup

    - #### onselect

          public static final HtmlSelectOneListbox.PropertyKeys onselect

    - #### readonly

          public static final HtmlSelectOneListbox.PropertyKeys readonly

    - #### role

          public static final HtmlSelectOneListbox.PropertyKeys role

    - #### size

          public static final HtmlSelectOneListbox.PropertyKeys size

    - #### style

          public static final HtmlSelectOneListbox.PropertyKeys style

    - #### styleClass

          public static final HtmlSelectOneListbox.PropertyKeys styleClass

    - #### tabindex

          public static final HtmlSelectOneListbox.PropertyKeys tabindex

    - #### title

          public static final HtmlSelectOneListbox.PropertyKeys title

  - ### Method Detail

    - #### values

          public static HtmlSelectOneListbox.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HtmlSelectOneListbox.PropertyKeys c : HtmlSelectOneListbox.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HtmlSelectOneListbox.PropertyKeys valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<HtmlSelectOneListbox.PropertyKeys>`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.